# Bulk write 'Contractinvoicecontent'

Endpoint: POST /accounting/contracts/contractinvoicecontent/list/
Version: 2.0.0
Security: customer_id, application_id, service_id, service_version_id, client_ct, client_object_id, client_secret

## Request fields (application/json):

  - `attachment` (object)
    **Additional Validation Information:**
This field, or at least one of the following fields must be set: `text_content`

  - `attachment.name` (string)
    wanted filename of the file

  - `attachment.md5_hash` (string)
    base64 encoded md5hash of the file

  - `attachment.get` (string)

  - `attachment.post` (object)

  - `attachment.post.url` (string)

  - `company` (object)

  - `company.id` (string)

  - `text_background_color` (string)
    **Additional Validation Information:**
This value must be set together with the following fields: `text_title`, `text_content`, `text_color`

  - `contract_types` (array)

  - `contract_types.id` (string)

  - `from_invoice_date` (string)
    **Additional Validation Information:**
This value must be set in an proper order, in relation to the following fields: `to_invoice_date`

  - `organization` (object)

  - `organization.id` (string)

  - `text_content` (string)
    **Additional Validation Information:**
This value must be set together with the following fields: `text_title`, `text_background_color`, `text_color`
This field, or at least one of the following fields must be set: `attachment`

  - `text_color` (string)
    **Additional Validation Information:**
This value must be set together with the following fields: `text_title`, `text_content`, `text_background_color`

  - `tags_filter` (array)

  - `tags_filter.id` (string)

  - `text_title` (string)
    **Additional Validation Information:**
This value must be set together with the following fields: `text_content`, `text_background_color`, `text_color`

  - `to_invoice_date` (string)
    **Additional Validation Information:**
This value must be set in an proper order, in relation to the following fields: `from_invoice_date`

  - `contract_lifecycle_restriction` (integer)
    **Additional Validation Information:**
Enum Descriptions:
* `0` - Only On First Invoice
* `1` - Only On Last Invoice
    Enum: 0, 1

  - `display_order` (integer)

  - `custom_id` (string)

## Response 201 fields (application/json):

  - `attachment` (object)
    **Additional Validation Information:**
This field, or at least one of the following fields must be set: `text_content`

  - `attachment.name` (string)
    wanted filename of the file

  - `attachment.md5_hash` (string)
    base64 encoded md5hash of the file

  - `attachment.get` (string)

  - `attachment.post` (object)

  - `attachment.post.url` (string)

  - `company` (object)

  - `company.id` (string)

  - `customer_columns` (any)

  - `text_background_color` (string)
    **Additional Validation Information:**
This value must be set together with the following fields: `text_title`, `text_content`, `text_color`

  - `contract_types` (array)

  - `contract_types.id` (string)

  - `from_invoice_date` (string)
    **Additional Validation Information:**
This value must be set in an proper order, in relation to the following fields: `to_invoice_date`

  - `organization` (object)

  - `organization.id` (string)

  - `text_content` (string)
    **Additional Validation Information:**
This value must be set together with the following fields: `text_title`, `text_background_color`, `text_color`
This field, or at least one of the following fields must be set: `attachment`

  - `text_color` (string)
    **Additional Validation Information:**
This value must be set together with the following fields: `text_title`, `text_content`, `text_background_color`

  - `id` (string, required)
    **Additional Validation Information:**
Must be unique

  - `tags_filter` (array)

  - `tags_filter.id` (string)

  - `text_title` (string)
    **Additional Validation Information:**
This value must be set together with the following fields: `text_content`, `text_background_color`, `text_color`

  - `to_invoice_date` (string)
    **Additional Validation Information:**
This value must be set in an proper order, in relation to the following fields: `from_invoice_date`

  - `contract_lifecycle_restriction` (integer)
    **Additional Validation Information:**
Enum Descriptions:
* `0` - Only On First Invoice
* `1` - Only On Last Invoice
    Enum: 0, 1

  - `tags` (any)

  - `display_order` (integer)

  - `custom_id` (string)

  - `created_at` (string)

